package http_model

type LocalPreLinkListRequest struct {
	PageSize     int      `json:"page_size"`
	PageNum      int      `json:"page_num"`
	ProjectId    string   `json:"project_id"`  // 项目ID
	LinkStatus   string   `json:"link_status"` // 链接状态，11待传链接
	EnterpriseId string   `json:"enterprise_id"`
	SortField    []string `json:"sort_field,omitempty"`
	SortOrder    []string `json:"sort_order,omitempty"`
	Others       string   `json:"others,omitempty"`
}

type GetLocalPreLinkListData struct {
	TasklinkList []*LocalTasklinkinfo `json:"task_list"`
	Total        string               `json:"total"`
}

type LocalTasklinkinfo struct {
	Task *LocaLTaskInfo `json:"task_info"`
	DDl  string         `json:"ddl"` // 提交时间
}

func NewLocalPreLinkListRequest() *LocalPreLinkListRequest {
	return new(LocalPreLinkListRequest)
}

func NewLocalPreLinkListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetLocalPreLinkListData)
	return resp
}
